summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorRalph Giles <ralph.giles@artifex.com>2008-08-05 17:58:55 +0000
committerRalph Giles <ralph.giles@artifex.com>2008-08-05 17:58:55 +0000
commit17e6e4868c8a0a591738f6be6072e2cb030a6782 (patch)
treedb1c177fc13ca7e70673f04cdf13295cfda43c5a /tools
parent8f264541882f83e9ae4bcc42eb5be47492780768 (diff)
Update the clusterpush script for the new regression layout.
git-svn-id: http://svn.ghostscript.com/ghostscript/trunk@8937 a1074d23-0009-0410-80fe-cf8c14f379e6
Diffstat (limited to 'tools')
-rwxr-xr-xtools/clusterpush.sh11
1 files changed, 3 insertions, 8 deletions
diff --git a/tools/clusterpush.sh b/tools/clusterpush.sh
index 2a3b02329..605207369 100755
--- a/tools/clusterpush.sh
+++ b/tools/clusterpush.sh
@@ -37,18 +37,13 @@ if test $? != 0; then
exit 1
fi
-echo -n "Copying regression baseline..."
+echo -n "Copying regression baseline"
if test -d src; then
LATEST='gs'
else
- LATEST=`ssh $HOST 'for file in \`ls regression |\
- egrep ghostpcl-r[0-9]+[+][0-9]+$ | sort -r | head\`; do\
- if test -r regression/$file/reg_baseline.txt; then\
- echo $file; break;\
- fi;\
- done'`
+ LATEST='ghostpdl'
fi
-if test -z "$LATEST"; then echo "$0 aborted."; exit 1; fi
+if test -z "$LATEST"; then echo " $0 aborted."; exit 1; fi
echo " from $LATEST..."
ssh $HOST "cp regression/$LATEST/reg_baseline.txt $DEST/$TARGET/"
if test $? != 0; then